Subject: RE: ssh problem on Windows XP
From: "Waiss, Garrett" <[email-masked]>
To: "Neven Luetic" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 21 Jan 2005 08:35:27 -0800

I was lucky. Another developer hadn't upgraded in a while so I got the
older dll from him. If you've already upgraded to 1.5.12, then
downgrading to 1.5.10 won't work because there are dependencies in the
core apps. My hope is that eventually the piping issue for XP SP2 will
get resolved and I can upgrade again.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Neven Luetic
Sent: Friday, January 21, 2005 8:02 AM
To: Waiss, Garrett
Cc: [email-masked]
Subject: RE: ssh problem on Windows XP

Where did You get the old version from? I didn't find any older versions
on the cygwin site. It should be a site, that kept a snapshot of the old
releases as complete as possible.

Am Freitag, den 21.01.2005, 06:51 -0800 schrieb Waiss, Garrett:
> Good luck. I gave up and "downgraded" to cygwin 1.5.10-3. If you are
> running any release after that on XP SP2, there is a piping issue that
> has not been addressed.
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
Behalf
> Of Neven Luetic
> Sent: Friday, January 21, 2005 2:48 AM
> To: [email-masked]
> Subject: ssh problem on Windows XP
> 
> 
> Hello,
> 
> I know, problems have been reported concerning the use of ssh on
windows
> xp ("ssh hangs"). I would just like to confirm, if this is, what I'm
> dealing with. And perhaps somebody knows some workaround until there
is
> a fix.
> 
> I have a cygwin installation on XP at my customers and on W2K at home.
> My aim was to make some shellscripts I wrote available to some of the
> windows users via a php-interface for administrative tasks on their
> linux internet servers. 
> 
> I am using ssh with public keys to connect to the linux-servers.
> What works:
> I can ssh from my linux box to the linux servers.
> I can call "system(ssh remote-user@remote-server command)" from php on
> linux.
> I can do all this on my W2K box (Vmware), when I start the apache
> service as the same user, that has the public key.
> However on the XP computers, I can only use ssh from the command line,
> calling some script containing ssh via PHP hangs.
> 
> This is the client's errorlog (-vvv):
> 
> OpenSSH_3.9p1, OpenSSL 0.9.7e 25 Oct 2004
> debug2: ssh_connect: needpriv 0
> debug1: Connecting to xxx.xxx.xxx [xxx.xxx.xxx.xxx] port 22.
> debug1: Connection established.
> debug1: identity file /home/xxx/.ssh/identity type -1
> debug1: identity file /home/xxx/.ssh/id_rsa type -1
> debug3: Not a RSA1 key file /home/xxx/.ssh/id_dsa.
> debug2: key_type_from_name: unknown key type '-----BEGIN'
> debug3: key_read: missing keytype
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug3: key_read: missing whitespace
> debug2: key_type_from_name: unknown key type '-----END'
> debug3: key_read: missing keytype
> debug1: identity file /home/xxx/.ssh/id_dsa type 2
> debug1: Remote protocol version 2.0, remote software version
> OpenSSH_3.4p1
> debug1: match: OpenSSH_3.4p1 pat OpenSSH*
> debug1: Enabling compatibility mode for protocol 2.0
> debug1: Local version string SSH-2.0-OpenSSH_3.9p1
> debug2: fd 3 setting O_NONBLOCK
> debug1: SSH2_MSG_KEXINIT sent
> debug1: SSH2_MSG_KEXINIT received
> debug2: kex_parse_kexinit:
>
diffie-hellman-group-exchange-sha1,diffie-hellman-group14-sha1,diffie-he
> llman-group1-sha1
> debug2: kex_parse_kexinit: ssh-rsa,ssh-dss
> debug2: kex_parse_kexinit:
>
aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,arcfour,aes192-cbc,aes256-c
> bc,[email-masked],aes128-ctr,aes192-ctr,aes256-ctr
> debug2: kex_parse_kexinit:
>
aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,arcfour,aes192-cbc,aes256-c
> bc,[email-masked],aes128-ctr,aes192-ctr,aes256-ctr
> debug2: kex_parse_kexinit:
>
hmac-md5,hmac-sha1,hmac-ripemd160,[email-masked],hmac-sha1-9
> 6,hmac-md5-96
> debug2: kex_parse_kexinit:
>
hmac-md5,hmac-sha1,hmac-ripemd160,[email-masked],hmac-sha1-9
> 6,hmac-md5-96
> debug2: kex_parse_kexinit: none,zlib
> debug2: kex_parse_kexinit: none,zlib
> debug2: kex_parse_kexinit:
> debug2: kex_parse_kexinit:
> debug2: kex_parse_kexinit: first_kex_follows 0
> debug2: kex_parse_kexinit: reserved 0
> debug2: kex_parse_kexinit:
> diffie-hellman-group-exchange-sha1,diffie-hellman-group1-sha1
> debug2: kex_parse_kexinit: ssh-rsa,ssh-dss
> debug2: kex_parse_kexinit:
>
aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,arcfour,aes192-cbc,aes256-c
> bc,[email-masked]
> debug2: kex_parse_kexinit:
>
aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,arcfour,aes192-cbc,aes256-c
> bc,[email-masked]
> debug2: kex_parse_kexinit:
>
hmac-md5,hmac-sha1,hmac-ripemd160,[email-masked],hmac-sha1-9
> 6,hmac-md5-96
> debug2: kex_parse_kexinit:
>
hmac-md5,hmac-sha1,hmac-ripemd160,[email-masked],hmac-sha1-9
> 6,hmac-md5-96
> debug2: kex_parse_kexinit: none,zlib
> debug2: kex_parse_kexinit: none,zlib
> debug2: kex_parse_kexinit:
> debug2: kex_parse_kexinit:
> debug2: kex_parse_kexinit: first_kex_follows 0
> debug2: kex_parse_kexinit: reserved 0
> debug2: mac_init: found hmac-md5
> debug1: kex: server->client aes128-cbc hmac-md5 none
> debug2: mac_init: found hmac-md5
> debug1: kex: client->server aes128-cbc hmac-md5 none
> debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
> debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
> debug2: dh_gen_key: priv key bits set: 140/256
> debug2: bits set: 511/1024
> debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
> debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
> debug3: check_host_in_hostfile: filename /home/xxx/.ssh/known_hosts
> debug3: check_host_in_hostfile: match line 1
> debug3: check_host_in_hostfile: filename /home/xxx/.ssh/known_hosts
> debug3: check_host_in_hostfile: match line 1
> debug1: Host 'xxx.xxx.xxx' is known and matches the RSA host key.
> debug1: Found key in /home/xxx/.ssh/known_hosts:1
> debug2: bits set: 536/1024
> debug1: ssh_rsa_verify: signature correct
> debug2: kex_derive_keys
> debug2: set_newkeys: mode 1
> debug1: SSH2_MSG_NEWKEYS sent
> debug1: expecting SSH2_MSG_NEWKEYS
> debug2: set_newkeys: mode 0
> debug1: SSH2_MSG_NEWKEYS received
> debug1: SSH2_MSG_SERVICE_REQUEST sent
> debug2: service_accept: ssh-userauth
> debug1: SSH2_MSG_SERVICE_ACCEPT received
> debug2: key: /home/xxx/.ssh/identity (0x0)
> debug2: key: /home/xxx/.ssh/id_rsa (0x0)
> debug2: key: /home/xxx/.ssh/id_dsa (0x100eeb98)
> debug1: Authentications that can continue: publickey,password
> debug3: start over, passed a different list publickey,password
> debug3: preferred publickey,keyboard-interactive,password
> debug3: authmethod_lookup publickey
> debug3: remaining preferred: keyboard-interactive,password
> debug3: authmethod_is_enabled publickey
> debug1: Next authentication method: publickey
> debug1: Trying private key: /home/xxx/.ssh/identity
> debug3: no such identity: /home/xxx/.ssh/identity
> debug1: Trying private key: /home/xxx/.ssh/id_rsa
> debug3: no such identity: /home/xxx/.ssh/id_rsa
> debug1: Offering public key: /home/xxx/.ssh/id_dsa
> debug3: send_pubkey_test
> debug2: we sent a publickey packet, wait for reply
> debug1: Server accepts key: pkalg ssh-dss blen 433
> debug2: input_userauth_pk_ok: fp
> a3:d2:0a:dc:22:84:17:37:13:1b:d9:c4:d6:7f:08:73debug3:
> sign_and_send_pubkey
> debug1: read PEM private key done: type DSA
> debug1: Authentication succeeded (publickey).
> debug2: fd 4 setting O_NONBLOCK
> debug2: fd 5 setting O_NONBLOCK
> debug2: fd 6 setting O_NONBLOCK
> debug1: channel 0: new [client-session]
> debug3: ssh_session2_open: channel_new: 0
> debug2: channel 0: send open
> debug1: Entering interactive session.
> debug2: callback start
> debug2: client_session2_setup: id 0
> debug2: channel 0: request shell confirm 0
> debug2: callback done
> debug2: channel 0: open confirm rwindow 0 rmax 32768
> debug2: channel 0: rcvd adjust 131072
> debug2: channel 0: read<=0 rfd 4 len 0
> debug2: channel 0: read failed
> debug2: channel 0: close_read
> debug2: channel 0: input open -> drain
> debug2: channel 0: ibuf empty
> debug2: channel 0: send eof
> debug2: channel 0: input drain -> closed
> debug1: client_input_channel_req: channel 0 rtype exit-status reply 0
> debug2: channel 0: rcvd eof
> debug2: channel 0: output open -> drain
> debug2: channel 0: rcvd close
> debug3: channel 0: will not send data after close
> er close
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/